<script setup lang="ts">
import axios from 'axios';
import { useRouter } from 'vue-router';
import { ref } from 'vue';
import { useSessionStore } from '@/stores/jsession.cookie';

const router = useRouter();
const sessionStore = useSessionStore();
const LoginForm = ref({
  username: '',
  password: '',
});
const handleSubmit = async () => {
  const { username, password } = LoginForm.value;
  try {
    await axios.post(
      'http://localhost:8080/login',
      new URLSearchParams({ username, password }),
      {
        headers: {
          'Content-Type': 'application/x-www-form-urlencoded',
        },
      }
    );
    sessionStore.updateIsJSessionIDSet();
    router.push('/customer/portal');
  } catch (error) {
    console.error('Login failed. Error:', error);
  }
};

</script>

<template>
  <el-container class="login-container">
    <el-row>
      <el-col>
        <h2>ログイン</h2>
        <el-form ref="loginForm" :model="LoginForm" @submit.prevent="handleSubmit">
          <el-form-item required>
            <div class="input-container">
              <label for="username" class="input-label">取引先担当者ID</label>
              <el-input id="username" v-model="LoginForm.username"></el-input>
            </div>
          </el-form-item>
          <el-form-item required>
            <div class="input-container">
              <label for="password" class="input-label">パスワード</label>
              <el-input id="password" v-model="LoginForm.password" type="password"></el-input>
            </div>
          </el-form-item>
          <el-form-item>
            <el-button type="primary" native-type="submit">ログイン</el-button>
          </el-form-item>
        </el-form>
      </el-col>
    </el-row>
  </el-container>
</template>

<style scoped>
.login-container {
  margin: 50px auto;
  max-width: 500px;
}

.input-container {
  display: flex;
  align-items: center;
}

.input-label {
  margin-right: 12px;
  min-width: 120px;
}
</style>
